Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 144501 - "Print to HTML" needs to be relocated and renamed
"Print to HTML" needs to be relocated and renamed
Status: RESOLVED WONTFIX
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
All All
: P4 (vote)
: TBD
Assigned To: issues@editor
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 00:06 UTC by mrmorris
Modified: 2008-11-18 11:32 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mrmorris 2008-08-20 00:06:14 UTC
Even after several years use, I did not notice this item and effectively ended up coding my own. Judging by comments, I
am not the only one who failed to find this build-in feature:
http://coffeecokeandcode.blogspot.com/2008/05/special-copypaste.html

Printing signifies something to do with a physical printing device and paper, rather than something to do with
formatting or exports. Consider relocating the item under "Export..." and renaming the item to "As HTML...".
Comment 1 Marian Petras 2008-08-20 10:12:24 UTC
Reassigned to component "editor".
Comment 2 Vitezslav Stejskal 2008-08-21 10:39:26 UTC
Thanks and nice plugin, mrmorris! Ondro, do you have any suggestion?
Comment 3 kpepple 2008-11-08 19:46:39 UTC
I think this needs to be broader than just the use case for "copy from netbeans and paste into my blog." For example, I
would most like to copy formatted source code from NetBeans and paste it into StarOffice presentations. So could we get
something like mrmorris's special copy/paste that includes a few formats:
 - copy as HTML
 - copy as RTF
 - copy as plain text with line numbers

Comment 4 Ondrej Langr 2008-11-18 11:32:42 UTC
For Java sources, the situation is quite clear and relocating the item under "Export..." and renaming it to "As HTML..."
would be clear. 

However, with other source files the situation gets more difficult. The result of Export -> "As HTML..." invoked upon
CSS, JavaScript, Ruby or even HTML file would be highly unpredictable and confusing for some if not majority of users.
"Print" keyword is used since the primary use-case of this action (as I understand it) is displaying the code for human
reading (reference or educational purpose, not for machine interpretation)

Since moving under the export would create a new category (UI clutter) and cause eventual problems, I'm closing this as
WONTFIX. Please re-open for further discussion if you think there are strong arguments against this decision. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo